## zookeeper 3.4.10

=== debian/changelog ===
zookeeper (3.4.10-3) unstable; urgency=medium

  * The default value of JMXLOCALONLY is now true (Closes: #869912)
  * Drop transitional package libzookeeper2 (Closes: #878994)
  * /var/lib/zookeeper is no longer world-readable (Closes: #870271)
  * Use debhelper 11 and set compat level to 11
  * Bump Standards-Version to 4.1.3
  * Use https for Homepage URL
  * Drop build-dep on dh-systemd in favor of debhelper 10
  * Remove init.d skeleton template boilerplate
  * Remove Upstart config
  * Add ./NOTICE.txt to debian/zookeeper.docs
  * Set build target to Java 8
  * Correct ivy profile during test phase on i386 (See: #860650)
    Note that this does not mean that tests pass on i386 now, only
    that the tests can be run without ivy dying.
  * Disable tests that use the MiniKdc class
  * Rename zooinspector JAR file to zookeeper-zooinspector as per policy
  * Add debian/NEWS

 -- tony mancill <tmancill@debian.org>  Sat, 03 Feb 2018 14:58:02 -0800

zookeeper (3.4.10-2) unstable; urgency=medium

  * Upload to unstable for the buster release cycle.

 -- tony mancill <tmancill@debian.org>  Wed, 21 Jun 2017 11:47:20 -0700

zookeeper (3.4.10-1) experimental; urgency=medium

  [ Rene Engelhard ]
  * Team upload.
  * use PKG_CHECK_MODULES instead of AM_PATH_CPPUNIT (closes: #862135)

  [ tony mancill ]
  * New upstream release.
  * Add tmancill@debian.org to Uploaders
  * Add pkg-config to Build-Depends.
  * Drop patches applied upstream:
    - 09-spell-check.patch
    - 10-cppunit-pkg-config.patch

 -- tony mancill <tmancill@debian.org>  Sat, 03 Jun 2017 11:10:44 -0700
