## zookeeper 3.4.12

=== debian/changelog ===
zookeeper (3.4.12-2) unstable; urgency=medium

  * Team upload.

  [ tony mancill ]
  * Add patch for FTBFS with GCC-8 (Closes: #897892)

  [ Markus Koschany ]
  * Declare compliance with Debian Policy 4.2.0.
  * debian/control: Remove ancient X-Python-Version field because it is
    satisfied even in oldstable.
  * Add 15-javadoc-doclet.patch. The missing doclet class causes a javadoc
    error. Now the documentation is built again.

 -- Markus Koschany <apo@debian.org>  Thu, 23 Aug 2018 12:16:06 +0200

zookeeper (3.4.12-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
    - Added the Yetus annotations
  * No longer build the Netty based connection factory (depends on an obsolete
    version of Netty)
  * Ensure the unit tests are run in offline mode (Closes: #860650)
  * Disabled the i386 junit tests (no longer build due to dependencies changes)
  * Removed the unused build dependency on checkstyle
  * Modified debian/watch to catch all the past releases
  * Standards-Version updated to 4.1.4
  * Use salsa.debian.org Vcs-* URLs
  * Updated the upstream GPG keys

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 05 Jun 2018 23:45:32 +0200
