=== debian/control ===
--- 
+++ 
@@ -9,7 +9,6 @@
  ant-optional,
  autoconf,
  automake,
- checkstyle,
  debhelper (>= 11~),
  default-jdk (>= 2:1.6),
  default-jdk-doc,
@@ -28,7 +27,6 @@
  liblog4cxx-dev,
  liblog4j1.2-java (>> 1.2.15-8),
  libmockito-java,
- libnetty-3.9-java,
  libslf4j-java,
  libtool,
  libxerces2-java,
@@ -37,10 +35,9 @@
  pkg-config,
  procps,
  python-all-dev (>= 2.6.6-3~)
-X-Python-Version: >= 2.6
-Standards-Version: 4.1.3
-Vcs-Git: https://anonscm.debian.org/git/pkg-java/zookeeper.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/zookeeper.git
+Standards-Version: 4.2.0
+Vcs-Git: https://salsa.debian.org/java-team/zookeeper.git
+Vcs-Browser: https://salsa.debian.org/java-team/zookeeper
 Homepage: https://zookeeper.apache.org
 
 Package: libzookeeper-java
@@ -48,7 +45,6 @@
 Depends:
  libjline-java,
  liblog4j1.2-java (>> 1.2.15-8),
- libnetty-3.9-java,
  libslf4j-java,
  libxerces2-java,
  ${misc:Depends}
