=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,7 @@
            -DlastRevision=-1 \
            -Divy.url=file:/usr/share/maven-repo/org/apache/ivy/ivy/ \
            -Divy.version=debian \
+           -Dapache-directory-api.version=debian \
            -Divysettings.xml=/usr/share/ivy-debian-helper/ivysettings.xml \
            -Dant.build.javac.source=1.8 \
            -Dant.build.javac.target=1.8
@@ -90,10 +91,7 @@
 ifeq (i386, $(DEB_BUILD_ARCH))
 override_dh_auto_test-indep:
 	# Run core Java test suite against zookeeper
-	ant $(ANT_ARGS) \
-		-Divy.settings.file=/usr/share/ivy-debian-helper/ivysettings.xml \
-		-Divy.default.ivy.user.dir=$(CURDIR)/.ivy2 \
-		test-core-java
+	#dh_auto_build -- $(ANT_ARGS) test-core-java
 endif
 endif
