=== debian/changelog ===
zookeeper (3.4.13-2) unstable; urgency=medium

  * Add patch for CVE-2019-0201 (Debian: #929283)

 -- tony mancill <tmancill@debian.org>  Tue, 04 Jun 2019 21:22:04 -0700

zookeeper (3.4.13-1) unstable; urgency=medium

  * New upstream version 3.4.13
  * Update version in debian-provided pom file
  * Bump Standards-Version to 4.2.1

 -- tony mancill <tmancill@debian.org>  Thu, 18 Oct 2018 20:19:42 -0700
