=== debian/control ===
--- 
+++ 
@@ -35,7 +35,7 @@
  pkg-config,
  procps,
  python-all-dev (>= 2.6.6-3~)
-Standards-Version: 4.2.0
+Standards-Version: 4.2.1
 Vcs-Git: https://salsa.debian.org/java-team/zookeeper.git
 Vcs-Browser: https://salsa.debian.org/java-team/zookeeper
 Homepage: https://zookeeper.apache.org
