=== debian/rules ===
--- 
+++ 
@@ -107,6 +107,7 @@
 				   libzookeeper-st-dev libzookeeper-mt-dev; do \
 		[ ! -f debian/$$install.install ] || rm debian/$$install.install; \
 	done
+	rm -rf debian/*debhelper.log
 
 # the original build.xml deletes too much
 override_dh_auto_clean:
