=== debian/changelog ===
zookeeper (3.8.0-8ubuntu1) kinetic; urgency=medium

  * Merge from Debian sid keeping d/p/gcc-11-no-throw.patch
    (LP: #1990151, LP: #1988541)
  * Dropping d/p/18-ZOOKEEPER-3954.patch
    https://issues.apache.org/jira/browse/ZOOKEEPER-3954 is resolved

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Thu, 29 Sep 2022 11:30:44 +0200

zookeeper (3.8.0-8) unstable; urgency=medium

  * Team upload
  * Skipping one more test accessing the network, thanks to Simon Chopin
    (Closes: #1018942)
  * Enlarging another time limit in a test

 -- Pierre Gruet <pgt@debian.org>  Fri, 02 Sep 2022 18:17:29 +0200

zookeeper (3.8.0-7) unstable; urgency=medium

  * Team upload
  * Installing the generated header file in /usr/include/zookeeper
    (Closes: #1016764)
  * Alleviating d/maven.rules

 -- Pierre Gruet <pgt@debian.org>  Mon, 15 Aug 2022 15:12:45 +0200

zookeeper (3.8.0-6) unstable; urgency=medium

  * Team upload
  * Deactivating a flaky test (Closes: #1015054)

 -- Pierre Gruet <pgt@debian.org>  Sat, 23 Jul 2022 22:46:51 +0200

zookeeper (3.8.0-5) unstable; urgency=medium

  * Team upload
  * Installing an up-to-date configuration file example in zookeeper

 -- Pierre Gruet <pgt@debian.org>  Sat, 02 Jul 2022 15:28:15 +0200

zookeeper (3.8.0-4) unstable; urgency=medium

  * Team upload
  * Adding liblog4j1.2-java as a dependency of the -java package so that its
    jar is found by libslf4j-java

 -- Pierre Gruet <pgt@debian.org>  Fri, 01 Jul 2022 21:19:09 +0200

zookeeper (3.8.0-3ubuntu2) kinetic; urgency=medium

  * d/p/30-skip-tests-network.patch: Amended to disable a test reaching out to
    google.com (LP: #1988541)

 -- Simon Chopin <schopin@ubuntu.com>  Fri, 02 Sep 2022 11:10:52 +0200

zookeeper (3.8.0-3ubuntu1) kinetic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Fix build with gcc -O3.
    - Fix zktreeutil compatibility with gcc 11.
  * Refresh patches for new upstream release.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 01 Jul 2022 12:43:57 -0700

zookeeper (3.8.0-3) unstable; urgency=medium

  * Team upload
  * Raising a bit some time limits in tests, failures can happen depending
    on the buildds

 -- Pierre Gruet <pgt@debian.org>  Wed, 29 Jun 2022 21:44:22 +0200

zookeeper (3.8.0-2) unstable; urgency=medium

  * Team upload
  * Making appropriate overrides for -arch and -indep in d/rules so that
    builds of architecture-dependent packages only succeed

 -- Pierre Gruet <pgt@debian.org>  Wed, 29 Jun 2022 17:47:37 +0200

zookeeper (3.8.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version 3.8.0 (Closes: #927673):
    - Checking it is affected by no known security vulnerability
      (Closes: #990345)
    - Checking it does not use xml2-config anymore (Closes: #949517)
    - Checking the package does not FTBFS with gcc-11 (Closes: #984406)
  * Refreshing patches
  * Building with Maven, adapting B-D, refreshing d/rules and adapting install
    paths accordingly
  * Adapting install paths after switching to Maven
  * Updates in debian/control:
    - Depending on debhelper-compat 13
    - Removing X-Python3-Version field
    - Raising Standards version to 4.6.1 (no change)
    - Adding a Pre-Depends field in d/control for zookeeperd so that it
      pre-depends on init-system-helpers
    -  zookeeper needs to depend on default-jre, not only the headless version
  * Refreshing d/copyright
  * Updating / refreshing the packaging style:
    - New upstream signing keys
    - Rewriting d/watch, set to version 4, no repack
    - Removing debian/gbp.conf
    - Removing debian/orig-tar.sh, repacking is done via debian/copyright
    - Set upstream metadata fields: Bug-Database, Repository,
      Repository-Browse.
  * Providing patches related to the new Maven build:
    - Adding missing versions of some Maven plugins in the POM files
    - Skipping the unpackaged Timeout annotations in the tests
    - Using the ValueSource annotation with ints instead of booleans, which are
      not available in Debian-package junit5
    - Omitting the TempDir annotation in the tests, as it is not available yet
    - Correcting call to deprecated method in Bouncycastle
    -  Switching from test-jar type to tests classifier in the POM files
    - Omitting the dependency of the assembly POM on the
      zookeeper-prometheus-metrics jar, which cannot be built right now
    - Adding missing artifacts in the zookeeper-contrib-rest POM file
    - Skipping some classes because of unpackaged org.openjdk-jmh package
    - Building the Python3 artifacts without OpenSSL
    - Omitting test classes needing junit5 unpackaged classes or attempting to
      use the network
  * Correcting tiny spelling errors in the code
  * Reworking debian/rules:
    - Updating the overrides of dh_clean and dh_auto_clean
    - Stopping parsing changelog in d/rules
  * Providing an up-to-date d/libzookeeper-java.manifest file, updating
    dependencies of the binary package accordingly
  * Refreshing the doc-base files
  * Stopping providing zktreeutil, providing a NEWS file to explain this
  * Adding a NEWS entry about possible failure at startup and how to solve it
    (Closes: #1012770)
  * Adding a Lintian override for the embedded js in the javadoc
  * Adding a Lintian override for files with long lines
  * Adding missing patch headers
  * Hacking in the libtool file to prevent -rpath flags when building
  * Changing USER to NAME in d/zookeeper.postinst and d/zookeeper.postrm to be
    sure the script is doing the right thing (actually the shell uses USER for
    the logged in name)
  * Using --remove-home in d/zookeeper.postrm to ensure everything is properly
    deleted (Closes: #1001959)

 -- Pierre Gruet <pgt@debian.org>  Tue, 28 Jun 2022 18:02:04 +0200

zookeeper (3.4.13-6ubuntu5) kinetic; urgency=medium

  * No-change rebuild against liblog4cxx13

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 21 Jun 2022 21:47:40 +0000


