=== debian/changelog ===
zookeeper (3.9.1-1build2) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 11 Apr 2024 09:54:24 +0000

zookeeper (3.9.1-1build1) noble; urgency=medium

  * No-change rebuild to build with python3.12 as supported.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 02 Nov 2023 09:29:13 +0100

zookeeper (3.9.1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 3.9.1 (Closes: #1054224)
    Fixes CVE-2023-44981
  * Refreshing patches
  * Updating Maven rules and ignoreRules
  * Correcting/excluding more tests, adding them to existing patches
  * Omitting tests needing unpackaged org.burningwave

 -- Pierre Gruet <pgt@debian.org>  Sat, 28 Oct 2023 19:07:58 +0200

zookeeper (3.8.0-11) unstable; urgency=medium

  * Team upload
  * Excluding more tests needing network access (Closes: #1033436)
  * Raising Standards version to 4.6.2 (no change)
  * Update lintian override info format in d/source/lintian-overrides on line 3.
  * Set upstream metadata fields: Repository-Browse.
  * Removing dependency on lsb-base

 -- Pierre Gruet <pgt@debian.org>  Thu, 06 Apr 2023 12:25:53 +0200

zookeeper (3.8.0-10) unstable; urgency=medium

  * Team upload.
  * Rebuilt for all Python3 versions (Closes: #1024303).

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Nov 2022 11:14:39 +0100

zookeeper (3.8.0-9) unstable; urgency=medium

  * Team upload
  * Using Suite instead of deprecated JunitPlatform to run unit tests
    (Closes: #1022333)
  * Exporting LC_ALL=C.UTF-8 in d/rules

 -- Pierre Gruet <pgt@debian.org>  Mon, 31 Oct 2022 15:49:56 +0100
